

Name:           kfind
Version: 		23.08.5
Release:        %mkrel 1
Summary:        KDE file find utility
License:        GPLv2+
Group:          Graphical desktop/KDE5
Url:            https://www.kde.org/applications/utilities/kfind/
Source0:        http://download.kde.org/stable/applications/%{version}/src/%{name}-%{version}.tar.xz
Requires:       plasma-workspace

BuildRequires: cmake
BuildRequires: lib64kconfig-devel
BuildRequires: lib64kcoreaddons-devel
BuildRequires: lib64kf5archive-devel
BuildRequires: lib64kf5completion-devel
BuildRequires: lib64kf5configwidgets-devel
BuildRequires: lib64kf5i18n-devel
BuildRequires: lib64kf5iconthemes-devel
BuildRequires: lib64kf5jobwidgets-devel
BuildRequires: lib64kf5kdelibs4support-devel
BuildRequires: lib64kf5service-devel
BuildRequires: lib64kf5textwidgets-devel
BuildRequires: lib64kf5widgetsaddons-devel
BuildRequires: lib64kf5xmlgui-devel
BuildRequires: lib64kio-devel
BuildRequires: lib64qt5core-devel 
BuildRequires: lib64qt5dbus-devel 
BuildRequires: lib64qt5gui-devel 
BuildRequires: lib64qt5widgets-devel 
BuildRequires: libxml2-utils
BuildRequires: pkgconfig 
BuildRequires: qtbase5-common-devel 

%description
KFind can be used as a standalone search tool, launched by KRunner or from your
menu. It is also integrated into Konqueror and Dolphin as "Find File" in the
"Tools" menu. It allows you to find files by name, type or content.

%files
%_kf5_bindir/%{name}
%_kf5_applicationsdir/org.kde.%{name}.desktop
%_kf5_iconsdir/*/*/*/%{name}.*
%_kf5_mandir/man1/%{name}.1.*
%_kf5_datadir/metainfo/org.kde.kfind.appdata.xml
%_kf5_datadir/locale
%_kf5_datadir/qlogging-categories5/kfind.categories
%{_mandir}
#------------------------------------------------------------------------------

%package        handbook
Summary:        Kfind handbook
Group:          Documentation
BuildArch:      noarch
Requires:       %{name}

%description    handbook
This package provides kfind handbook.

%files handbook
%doc %_kf5_docdir/HTML

#------------------------------------------------------------------------------

%prep
%setup -q

%build
export CFLAGS="$CFLAGS -O3 -pipe -ffast-math"
%cmake_kf5 -GNinja

%ninja_build

%install
rm -rf %buildroot
%ninja_install -C build

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-System-FileTools" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*.desktop


%changelog
* Thu Feb 15 2024 tex - 23.08.5-1pclos2024
- new version

* Fri Dec 08 2023 tex - 23.08.4-1pclos2023
- new version

* Thu Nov 09 2023 tex - 23.08.3-1pclos2023
- new version

* Thu Oct 12 2023 tex - 23.08.2-1pclos2023
- new version

